function Controller() {
    function handleScrollViewScroll(e) {
        Ti.API.info("Native ScrollView offset: " + e.source.contentOffset.y);
        Ti.App.fireEvent("app:scrollViewScroll", {
            scrollOffset: e.source.contentOffset.y
        });
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    $.__views.index = Ti.UI.createWindow({
        backgroundColor: "white",
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    $.__views.webView = Ti.UI.createWebView({
        url: "/index.html",
        left: 200,
        top: 100,
        width: 300,
        height: 400,
        backgroundColor: "#000099",
        willHandleTouches: false,
        id: "webView"
    });
    $.__views.index.add($.__views.webView);
    $.__views.scrollView = Ti.UI.createScrollView({
        left: 200,
        top: 150,
        width: 250,
        height: 350,
        backgroundColor: "#660000",
        contentWidth: "100%",
        contentHeight: 2e3,
        scrollType: "vertical",
        showVerticalScrollIndicator: true,
        disableBounce: true,
        id: "scrollView"
    });
    $.__views.index.add($.__views.scrollView);
    $.__views.label = Ti.UI.createLabel({
        top: 10,
        width: Ti.UI.SIZE,
        height: Ti.UI.SIZE,
        color: "#000",
        text: "Scroll red view vertically and check the Console to see the order in which events are fired and received.",
        id: "label"
    });
    $.__views.index.add($.__views.label);
    exports.destroy = function() {};
    _.extend($, $.__views);
    $.index.open();
    $.scrollView.addEventListener("scroll", handleScrollViewScroll);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;